Unit SF79R_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UTSF16_p;

procedure SF79R(X :Real; RLAM :Real; A :Real; var FX :Real;
                var IER :Integer);

implementation

procedure SF79R(X :Real; RLAM :Real; A :Real; var FX :Real;
                var IER :Integer);
var
PIX :Real;
const
SYS001 :Real = 3.1415926535897932384626433832795;
label
_10,_20;
begin
IER  := 0;
if ( RLAM  <=  0.0 ) 
 then goto _10;
PIX  := -X*SYS001;
FX  := A - RLAM*Cos(PIX)/Sin(PIX);
goto _20;
_10:

{      OOHOE AAHE RLAM }

IER  := 65;
if ( X  <  0.0 ) or (  X  >  1.0 ) 
 then IER  := 66;
FX  := 0.0;
UTSF16(IER,8);
_20:
end;

end.
